/*
 * Copyright (C) 2020 Emweb bv, Herent, Belgium.
 *
 * See the LICENSE file for terms of use.
 */
package eu.webtoolkit.jwt;

import eu.webtoolkit.jwt.chart.*;
import eu.webtoolkit.jwt.servlet.*;
import eu.webtoolkit.jwt.utils.*;
import java.io.*;
import java.lang.ref.*;
import java.time.*;
import java.util.*;
import java.util.regex.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Enumeration that specifies editing options. */
public enum EditOption {
  /** Never show more than one active editor. */
  SingleEditor,
  /** Allow multiple editors at the same time. */
  MultipleEditors,
  /** Always save the current edit value when closing. */
  SaveWhenClosed,
  /** Editors can only be closed using closeEditor() */
  LeaveEditorsOpen;

  /** Returns the numerical representation of this enum. */
  public int getValue() {
    return ordinal();
  }
}
